﻿<html DIR="LTR"><head><META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8" /><META NAME="save" CONTENT="history" /><title>Hosting a Windows Workflow in WCF with a Duplex Contract</title><META NAME="Description" CONTENT="This sample provides an integration sample implementation between Windows Communication Foundation (WCF) and Windows Workflow Foundation. To set up, build, and run the sample, ensure that you have performed the One Time Setup Procedure for the Windows Communication Foundation Samples."></META><META NAME="MS.LOCALE" CONTENT="en-us" /><style>
body
{font-family:Verdana;font-size:medium;}
div#mainSection, div#header
{font-size:70%;width: 100%;}
div#mainBody
{font-size:90%;}
div#mainSection div table
{font-size: 100%;text-align: left;}
span#nsrTitle
{color:#003399;font-size:90%;font-weight:600;}
div#header
{background-color:#D4DFFF;}
.heading
{font-size:120%;color:#003399;}
.subHeading
{font-size:100%;margin-bottom:4;}
li
{margin-top:-2;margin-bottom:3;}
p
{margin-top:10;margin-bottom:5;}
div.tableSection p
{margin-top:1;margin-bottom:4;}	
div#mainSection table th
{background-color:#EFEFF7;color:#000066;text-align:left;}
div#mainSection table td
{background-color:#F7F7FF;}
div#mainSection table
{margin-top:5px;margin-bottom: px;}
			</style></head><body><div id="header"><table width="100%" id="topTable"><tr id="headerTableRow2"><td align="left"><span id="nsrTitle">Hosting a Windows Workflow in WCF with a Duplex Contract</span></td></tr></table></div><div id="mainSection"><div id="mainBody"><br /><font color="DarkGray">[This readme is a partial copy of the sample's topic in the SDK documentation.]</font><br /><font color="DarkGray">[This topic is pre-release documentation and is subject to change in future releases. Blank topics are included as placeholders.]</font><p></p><p>This sample provides an integration sample implementation between Windows Communication Foundation (WCF) and Windows Workflow Foundation.  To set up, build, and run the sample, ensure that you have performed the One Time Setup Procedure for the Windows Communication Foundation Samples.</p><h1 class="heading">To build the sample</h1><div id="procedureSection0" class="section"><ul><li><p>Run MSBuild from the sample root directory or load the sample solution in Visual Studio.</p></li></ul></div><h1 class="heading">To run the sample</h1><div id="procedureSection1" class="section"><ol><li><p>Create a "WCFHostingWF2" folder in the "My Documents" folder.</p></li><li><p>Copy all the files from the "Sample Files" folder into the "WCFHostingWF2" folder.</p></li><li><p>From the WCFHostingWF2\client\bin folder, run client.exe. </p></li></ol></div><h1 class="heading">Requirements</h1><div id="requirementsSection" class="section"><p>Microsoft<sup>®</sup> WinFX<sup>®</sup> Runtime Components 3.0</p></div><h1 class="heading">See Also</h1><div id="seeAlsoSection" class="seeAlsoNoToggleSection"><h4 class="subHeading">Other Resources</h4>Basic WCF Setup Instructions<br /><br /></div></div></div></body></html>